Skip to main content
DRUO Merchant API

Accounts API

The Accounts API allows you to directly submit account connection requests as well as retrieve Account data.

How it works:

  • Direct end users to Connect Links created through the Connect API for managed account data verification.
  • Connect an Account directly with information submitted to merchant directly by end user.
  • Use this API to check on the status of the connected accounts or connection attempts.
All of our endpoints require a Bearer token that you can obtain here to make any type of request.

Connect Account

POST /accounts/connect/
Submits an Account connection request with data provided by merchant(bypasses Connect Link).

Get Account

GET /accounts/:account_uuid
Returns the details of an existing Account.

Disconnect Account

PUT /accounts/:account_uuid/disconnect
Disconnects an existing Account.

Validate Acount

PUT /accounts/validate
View and validate the current status of an account connection.

List Accounts

GET /accounts/list
Returns a list of the accounts associated to a business